<?php


use Saireh\PayRoll;
use Saireh\CurlRequest;
use PHPUnit\Framework\TestCase;

class payrollTest extends TestCase
{
}

function api_upload_Folder($enlace, $nombre_archivo, $contenido_codificado)
{
  $payroll = new PayRoll();
  list($response, $info) = $payroll->upload_file($contenido_codificado, $nombre_archivo);
  $result_api = json_decode($response, true);

  if (empty($info['http_code'])) {
    die("No HTTP code was returned");
  } else if ($info['http_code'] == 200) {
    $queryUpdate = "UPDATE asientos SET enviado = 1, respuesta = 'El archivo fue transmitido satisfactoriamente', hora_envio = '" . date('Y-m-d H:i:s') . "' WHERE archivo ='" . $_POST['archivo'] . "';";
    $resultado = mysqli_query($enlace, $queryUpdate);
    $resultado_transmision = $resultado . "<b> El archivo fue transmitido satisfactoriamente</b>";
  } else if ($info['http_code'] > 200) {
    //$http_codes = parse_ini_file($url);

    foreach ($result_api['error']['messages'] as $result) {
      $resultado_transmision = "<b>Hubo un error al transmitir el archivo: </b><br><br>" . "<b>Error: </b>" . $result;
    }
    $queryUpdate = "UPDATE asientos SET respuesta = '" . $resultado_transmision . "' WHERE archivo ='" . $_POST['archivo'] . "';";
    $resultado = mysqli_query($enlace, $queryUpdate);
  }

  if ($resultado_transmision == '') { //Si no obtiene respuesta, error desconocido
    $resultado_transmision = "<b>Hubo un error al transmitir el archivo:</b> <br><br>" . "<b>Error: </b>Error desconocido al transmitir la informaciÃÂ³n";
  }
  return $resultado_transmision;
}
